Bug Hunting Session
Bug 82168 - FILEOPEN: ODT from MSO opens with incorrect spacing above or below headings and bullet points - LO doesn't inherit fo:margin-bottom from parent style but sets 0
Summary: FILEOPEN: ODT from MSO opens with incorrect spacing above or below headings a...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odt
Depends on:
Blocks: ODF-import Paragraph-Spacing
  Show dependency treegraph
 
Reported: 2014-08-05 03:06 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-11-08 03:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (80.01 KB, application/vnd.oasis.opendocument.text)
2014-08-05 03:06 UTC, Yousuf Philips (jay) (retired)
Details
Word 2013 VS LibO 4.3.1 (216.17 KB, image/png)
2014-08-05 03:09 UTC, Yousuf Philips (jay) (retired)
Details
How it looks in Calligra (153.87 KB, image/png)
2014-08-19 20:54 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-05 03:06:55 UTC
Created attachment 104038 [details]
sample file

Steps:
1) Open attached file
2) Spacing is missing under the heading 2 'High Availability and Disaster Recovery (HADR)', space is missing above heading 3 'SQL Server HADR', and there is supposed to be spacing above and below the bullet points.

Tested on 4.3.1 on Linux and master on Windows.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-05 03:09:08 UTC
Created attachment 104039 [details]
Word 2013 VS LibO 4.3.1
Comment 2 Jorendc 2014-08-19 20:20:26 UTC
Repro, Version: 4.4.0.0.alpha0+
Build ID: c67026f27023008d124c8ab76533169f032b04f6
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-08-17_08:03:30

I assume you already verify with calligra and other programs that use ODF as default?
Comment 3 Yousuf Philips (jay) (retired) 2014-08-19 20:54:13 UTC
Created attachment 104916 [details]
How it looks in Calligra

jorendc: Yep, i only send in reports when calligra and ms word are the same and libreoffice is different. :)
Comment 4 QA Administrators 2015-09-04 02:47:44 UTC Comment hidden (obsolete)
Comment 5 Robinson Tryon (qubit) 2015-12-10 01:38:20 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:39:50 UTC Comment hidden (obsolete)
Comment 7 vihsa 2017-06-01 11:14:40 UTC
reproducible
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: master, Time: 2017-05-28 22:44:13
Comment 8 vihsa 2017-09-04 05:31:12 UTC
repro
5.0.0.0.alpha1+ [ build id: ab465b9 ]
5.1.0.0.alpha1+ [ build id: 1a6ec13 ]
5.1.0.0.alpha1+ [ build id: 5b791ec ]
5.2.0.0.alpha0+ [ build id: f6a74ce ]
5.3.0.0.alpha1+ [ build id: 4136757 ]
5.4.0.0.alpha0+ [ build id: 3902bb7 ]

os: android 5.1
device: lyf flame 3 [ ls-4001 ]
Comment 9 Yousuf Philips (jay) (retired) 2017-10-31 06:50:19 UTC
Tested Softmaker and it shows it similar to MS Word and Calligra.

Regina: thoughts?
Comment 10 Yousuf Philips (jay) (retired) 2017-10-31 06:58:57 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2018-11-01 03:52:05 UTC Comment hidden (obsolete)
Comment 12 Regina Henschel 2018-11-01 14:57:13 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #9)
> Tested Softmaker and it shows it similar to MS Word and Calligra.
> 
> Regina: thoughts?

LibreOffice is wrong. The "bullet"-paragraphs have set fo:margin-top="0in" in their direct paragraph style, but no fo:margin-bottom. Therefore the fo:margin-bottom is inherited from the parent style "Normal Web". And there it is fo:margin-bottom="0.1458in" (=0.37cm). And that margin has to be visible.

I see the error still in Version: 6.2.0.0.alpha1+ (x64)
Build ID: 5690acdb44e8017055bb88e86e19d207836bb95c
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-27_02:59:30
Locale: de-DE (en_US); Calc: CL
Comment 13 Marco Diego Aurélio Mesquita 2018-11-06 14:25:33 UTC Comment hidden (no-value)
Comment 14 QA Administrators 2019-11-08 03:37:39 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug